Page MenuHomeFreeBSD

x11/guake: update to version 3.4.0.
ClosedPublic

Authored by rigoletto on Oct 27 2018, 9:14 PM.

Details

Summary

PR: 232163

  • update to version 3.4.0.
  • give maintainership to the submitter

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rigoletto created this revision.Oct 27 2018, 9:14 PM
rigoletto edited the summary of this revision. (Show Details)

I would merge the 10-ish import locale->import gettext patches into one

x11/guake/Makefile
35 ↗(On Diff #49704)

^ this should appear after the definition of the Option.

x11/guake/pkg-plist
124 ↗(On Diff #49704)

^3.4.0 -> %%PORTVERSION%% -- that could lead to fewer changes on upgrade

rigoletto updated this revision to Diff 49708.Oct 27 2018, 9:33 PM

Fixing.

Thanks.

rigoletto marked 2 inline comments as done.Oct 27 2018, 9:33 PM
rigoletto updated this revision to Diff 49859.Nov 1 2018, 1:45 AM

For some reason %%PORTVERSION%% isn't working as expected in pkg-plist. :-/

I would merge the 10-ish import locale->import gettext patches into one

^ alternatively, you could also use a REINPLACE_CMD to sed /import/s|locale|gettext

For some reason %%PORTVERSION%% isn't working as expected in pkg-plist. :-/

See Chapter 8

rigoletto updated this revision to Diff 49900.Nov 1 2018, 7:09 PM

Fixed. I thought all default variables would work automatically as PLIST_SUB.

Thanks!

tcberner requested changes to this revision.Nov 2 2018, 7:49 AM

You need to disable flavors or give it a unique pkg name per flavor.

Also the 36in the plist look python-versiony. Is there no issue for another py version?

This revision now requires changes to proceed.Nov 2 2018, 7:49 AM

You need to disable flavors or give it a unique pkg name per flavor.
Also the 36in the plist look python-versiony. Is there no issue for another py version?

Well, different FLAVORS of Guake cannot be installed together, and it is supposedly to behave like a regular desktop software, so I think it is better to just allow the py36 then.

rigoletto updated this revision to Diff 49965.Nov 3 2018, 6:18 AM

Make Guake py36 only.

Make Guake py36 only.

Why 36? I would let people use their default version :)

Make Guake py36 only.

Rather than forcing your chosen version, you should problby use USE_PYTHON=noflavors

Make Guake py36 only.

Why 36? I would let people use their default version :)

Because 36 is the default one. ^^

Make Guake py36 only.

Rather than forcing your chosen version, you should problby use USE_PYTHON=noflavors

I wasn't aware noflavors is also possible for python.

Thanks!

rigoletto updated this revision to Diff 50008.Nov 4 2018, 8:20 PM

Add noflavors

rigoletto updated this revision to Diff 50052.Nov 6 2018, 12:50 AM

Set python:3.5-3.6.

rigoletto updated this revision to Diff 50082.Nov 6 2018, 7:13 PM

Reverting: python:3.5+

tcberner accepted this revision.Nov 10 2018, 10:29 AM

Looks good to me.

This revision is now accepted and ready to land.Nov 10 2018, 10:29 AM
This revision was automatically updated to reflect the committed changes.